/* config.h.  Generated automatically by configure.  */
/* config.h.in -- config.h configure input
   Copyright (C) 1998 John Harper <john@dcs.warwick.ac.uk>
   $Id: config.h.in,v 1.35 2001/06/15 04:39:43 jsh Exp $

   This file is part of Jade.

   Jade is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   Jade is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Jade; see the file COPYING.  If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */

#ifndef CONFIG_H
#define CONFIG_H


/* librep-specific configuration; these are the things that aren't really
   inferred automatically by configure. */

/* If defined, this is the character which terminates the user's
    real-name in the pw_gecos field of the passwd structure.  i.e. if
    pw_gecos has something like "Real Name,SYS-ID" define it to a
    comma (',') */
/* #undef FULL_NAME_TERMINATOR */

/* Define this to track unfreed memory allocations */
/* #undef DEBUG_SYS_ALLOC */

/* When defined, try to translate addresses to their symbols. */
#define DB_RESOLVE_SYMBOLS 1


/* General configuration options */

/* Define if dynamic loading is available */
#define HAVE_DYNAMIC_LOADING 1

/* Define if <dlfcn.h> is available */
#define HAVE_DLFCN_H 1

/* Define if names to dlsym () require underscore prefix */
/* #undef DLSYM_NEED_USCORE */

/* Define if <dl.h> is available */
#define HAVE_DL_H 1

/* Define if <sys/dl.h> is available */
/* #undef HAVE_SYS_DL_H */

/* Define if RTLD_GLOBAL is broken on Tru64 UNIX */
/* #undef BROKEN_RTLD_GLOBAL */

/* Define if pseudo terminals are available */
#define HAVE_PTYS 1

/* Define if pseudo terminals should be opened through /dev/ptmx
   followed by calls to grantpt, unlockpt and ptsname */
#define HAVE_DEV_PTMX 1

/* Character of first pty, eg /dev/ptyX0.  */
#define FIRST_PTY_LETTER 'p'

/* Define this when <unistd.h> doesn't declare environ, */
/* #undef ENVIRON_UNDECLARED */

/* Define if using alloca.c.  */
/* #undef C_ALLOCA */

/* Define to empty if the keyword does not work.  */
/* #undef const */

/* Define as __inline if that's what the C compiler calls it.  */
/* #undef inline */

/* Define to `long' if <sys/types.h> doesn't define.  */
/* #undef off_t */

/* Define if you need to in order for stat and other things to work.  */
/* #undef _POSIX_SOURCE */

/* Define to one of _getb67, GETB67, getb67 for Cray-2 and Cray-YMP systems.
   This function is required for alloca.c support on those systems.  */
/* #undef CRAY_STACKSEG_END */

/* Define if you have alloca, as a function or macro.  */
#define HAVE_ALLOCA 1

/* Define if you have <alloca.h> and it should be used (not on Ultrix).  */
#define HAVE_ALLOCA_H 1

/* Define if you don't have vprintf but do have _doprnt.  */
/* #undef HAVE_DOPRNT */

/* Define if you have <sys/wait.h> that is POSIX.1 compatible.  */
#define HAVE_SYS_WAIT_H 1

/* Define if you have the vprintf function.  */
#define HAVE_VPRINTF 1

/* Define to `int' if <sys/types.h> doesn't define.  */
/* #undef pid_t */

/* Define as the return type of signal handlers (int or void).  */
#define RETSIGTYPE void

/* Define to `unsigned' if <sys/types.h> doesn't define.  */
/* #undef size_t */

/* Define if your locale.h file contains LC_MESSAGES.  */
/* #undef HAVE_LC_MESSAGES */

/* If using the C implementation of alloca, define if you know the
   direction of stack growth for your system; otherwise it will be
   automatically deduced at run-time.
 STACK_DIRECTION > 0 => grows toward higher addresses
 STACK_DIRECTION < 0 => grows toward lower addresses
 STACK_DIRECTION = 0 => direction of growth unknown
 */
#define STACK_DIRECTION +1

/* Define if you have the ANSI C header files.  */
/* #undef STDC_HEADERS */

/* Define if you can safely include both <sys/time.h> and <time.h>.  */
#define TIME_WITH_SYS_TIME 1

/* Define if <memory.h> exists */
#define HAVE_MEMORY_H 1 */
#ifdef HAVE_MEMORY_H
# define NEED_MEMORY_H		/* backwards compatibility */
#endif

/* Define if you have the getcwd function.  */
#define HAVE_GETCWD 1

/* Define if you have the gethostname function.  */
#define HAVE_GETHOSTNAME 1

/* Define if you have the strcspn function.  */
#define HAVE_STRCSPN 1

/* Define if you have the strerror function.  */
#define HAVE_STRERROR 1

/* Define if you have the strstr function.  */
#define HAVE_STRSTR 1

/* Define if you have the strtol function.  */
#define HAVE_STRTOL 1

/* Define if you have the psignal function.  */
/* #undef HAVE_PSIGNAL */

/* Define if you have the strsignal function.  */
/* #undef HAVE_STRSIGNAL */

/* Define if you have the snprintf function. */
#define HAVE_SNPRINTF 1

/* Define if you have the grantpt (and ptsname and unlockpt) function. */
#define HAVE_GRANTPT 1

/* Define if you have the getpagesize function. */
#define HAVE_GETPAGESIZE 1

/* Define if you have the stpcpy function.  */
/* #undef HAVE_STPCPY */

/* Define if you have the memchr function.  */
/* #undef HAVE_MEMCHR */

/* Define if you have the lrand48() and srand48() functions */
#define HAVE_LRAND48 1

/* Define if you have the setitimer() function */
#define HAVE_SETITIMER 1

/* Define if you have the dlopen() function */
#define HAVE_DLOPEN 1

/* Define if you have the dladdr() function */
/* #undef HAVE_DLADDR */

/* Define if you have the dlerror() function */
#define HAVE_DLERROR 1

/* Define if you have the shl_load() function */
#define HAVE_SHL_LOAD 1

/* Define if you have realpath() */
#define HAVE_REALPATH 1

/* Define if you have the __argz_count function.  */
/* #undef HAVE___ARGZ_COUNT */

/* Define if you have the __argz_next function.  */
/* #undef HAVE___ARGZ_NEXT */

/* Define if you have the __argz_stringify function.  */
/* #undef HAVE___ARGZ_STRINGIFY */

/* Define if you have the munmap function.  */
#define HAVE_MUNMAP 1

/* Define if you have the putenv function.  */
#define HAVE_PUTENV 1

/* Define if you have the setenv function.  */
/* #undef HAVE_SETENV */

/* Define if you have the setlocale function.  */
#define HAVE_SETLOCALE 1

/* Define if you have the strchr function.  */
#define HAVE_STRCHR 1

/* Define if you have the strcasecmp function.  */
#define HAVE_STRCASECMP 1

/* Define if you have the strncasecmp function.  */
#define HAVE_STRNCASECMP 1

/* Define if you have the strdup function.  */
#define HAVE_STRDUP 1

/* Define if you have the siginterrupt function.  */
#define HAVE_SIGINTERRUPT 1

/* Define if you have the gettimeofday function.  */
#define HAVE_GETTIMEOFDAY 1

/* Define if you have the strtoll function. */
/* #undef HAVE_STRTOLL */

/* Define if you have the strtoq function. */
/* #undef HAVE_STRTOQ */

/* Define if you have the crypt function. */
#define HAVE_CRYPT 1

/* Define if you have the <dirent.h> header file.  */
#define HAVE_DIRENT_H 1

/* Define if you have the <fcntl.h> header file.  */
#define HAVE_FCNTL_H 1

/* Define if you have the <ndir.h> header file.  */
/* #undef HAVE_NDIR_H */

/* Define if you have the <sys/dir.h> header file.  */
/* #undef HAVE_SYS_DIR_H */

/* Define if you have the <sys/ioctl.h> header file.  */
#define HAVE_SYS_IOCTL_H 1

/* Define if you have the <sys/ndir.h> header file.  */
/* #undef HAVE_SYS_NDIR_H */

/* Define if you have the <sys/time.h> header file.  */
#define HAVE_SYS_TIME_H 1

/* Define if you have the <sys/utsname.h> header file.  */
#define HAVE_SYS_UTSNAME_H 1

/* Define if you have the <unistd.h> header file.  */
#define HAVE_UNISTD_H 1

/* Define if you have the <siginfo.h> header file.  */
#define HAVE_SIGINFO_H 1

/* Define if you have the <stropts.h> header file.  */
#define HAVE_STROPTS_H 1

/* Define if you have the <termios.h> header file.  */
#define HAVE_TERMIOS_H 1

/* Define if you have the <string.h> header file.  */
#define HAVE_STRING_H 1

/* Define if you have the <limits.h> header file.  */
#define HAVE_LIMITS_H 1

/* Define if you have the <argz.h> header file.  */
/* #undef HAVE_ARGZ_H */

/* Define if you have the <locale.h> header file.  */
/* #undef HAVE_LOCALE_H */

/* Define if you have the <nl_types.h> header file.  */
#define HAVE_NL_TYPES_H 1

/* Define if you have the <sys/param.h> header file.  */
#define HAVE_SYS_PARAM_H 1

/* Define if you have the <malloc.h> header file.  */
#define HAVE_MALLOC_H 1

/* Define if you have the nsl library (-lnsl).  */
/* #undef HAVE_LIBNSL */

/* Define if you have the og library (-log).  */
/* #undef HAVE_LIBOG */

/* Define if you have the socket library (-lsocket).  */
/* #undef HAVE_LIBSOCKET */

/* Define if using Doug Lea's malloc */
#define DOUG_LEA_MALLOC 1

/* Define if using libc's malloc */
/* #undef LIBC_MALLOC */

/* Define if using r_alloc and friends */
/* #undef USE_R_ALLOC */

/* Define to use the readline library. */
/* #undef HAVE_LIBREADLINE */

/* Define if we have a broken gcc on alpha */
/* #undef BROKEN_ALPHA_GCC */

/* Define if using LIBC gettext */
/* #undef LIBC_GETTEXT */

/* Define if you have the <libintl.h> header file. */
/* #undef HAVE_LIBINTL_H */

/* Define the sizes of long and long long */
#define SIZEOF_LONG 4
#define SIZEOF_LONG_LONG 8

/* Define this if GMP is to be used. */
#define HAVE_GMP 1

/* Define if continuations / threading support should be built */
#define WITH_CONTINUATIONS 1

#endif /* CONFIG_H */
